FROM registry.fedoraproject.org/fedora:41

RUN dnf install -y dnf-plugins-core; dnf install -y gtk4-devel dbus-tools \
    meson git gcc make clang vulkan-devel glslc libdrm-devel
RUN git clone https://gitlab.gnome.org/GNOME/libmks.git /root/libmks; \
    cd /root/libmks; meson setup build; cd build; ninja

RUN cp -f  /root/libmks/build/subprojects/gtk/gtk/libgtk-4.so /lib64/ ; cp -f /root/libmks/build/lib/libmks-1.so /lib64/; ldconfig
RUN mkdir -p /tools; cp /root/libmks/build/tools/mks /tools 

RUN dnf remove -y meson git gcc make clang vulkan-devel glslc libdrm-devel \
    rust-gstreamer-player+default-devel ;  dnf clean all; rm -rf /root/limks

CMD /tools/mks
